`timescale 1ns / 1ps

module q2d(
	input wire q0,
	input wire q1,
	output wire [0:7] szegmensek
    );

localparam k0= 8'b00010000;
localparam k1= 8'b01100000;
localparam k2= 8'b10000000;
localparam k3= 8'b00001100;

assign szegmensek=
	({q1,q0}==0)?k0:
	({q1,q0}==1)?k1:
	({q1,q0}==2)?k2:
	({q1,q0}==3)?k3:
	0;
	
endmodule
